Update customer

This request updates an existing customer profile.

   Click here to learn more about this request

Customers represent your borrowers within Secure Payments. Note the following about customers:

The customers entity holds customer information within Secure Payments.

When editing a customer, no fields are required.

For an example of how customers work within the Secure Payments UI, take a look at our Secure Payments – Customers article.

{
    "customer": {
        "first_name": "Terry",
        "last_name": "Bellevue",
        "birthdate": "06/17/1988",
        "gender": "male",
        "email": "[email protected]",
        "phone_number": "8011111111",
        "generation_code": "none",
        "ssn": "000000000",
        "kyc_preferred_id_type": "ssn",
        "driver_license": "A9289290",
        "credit_limit": 12000,
        "primary-address": {
            "state": "UT",
            "country": "USA",
            "address1": "2000 S 1300 E ",
            "zipcode": "84105",
            "city": "SALT LAKE CITY"
        },
        "mail-address": {
            "state": "UT",
            "country": "USA",
            "address1": "2000 S 1300 E ",
            "zipcode": "84105",
            "city": "SALT LAKE CITY"
        }
    }
}

Results

Returns true after a successful update. An error results in a message and context object. The message and context object will contain information about the error (e.g. invalid customer ID or birthdate format).

Path Params
int32
required

The ID of the customer.

Body Params
customer
object
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json